/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

/**
 * 职称Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffTitle extends DataEntity<WorkStaffTitle> {
	
	private static final long serialVersionUID = 1L;
	private String staffId;		// 员工ID
	private String name;		// 职称名称
	private String grade;		// 职称等级
	private Date startDate;		// 取得日期
	private String pathway;		// 取得途径
	private String approvalAuthority;		// 审批单位
	private String filePath;		// 文件
    private String fileName;		// 文件名
    private MultipartFile file;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
	
	public WorkStaffTitle() {
		super();
	}

	public WorkStaffTitle(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	
	@ExcelField(title="职称名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="职称等级", align=2, sort=9)
	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}
	
	@ExcelField(title="取得日期", align=2, sort=10)
	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	
	@ExcelField(title="取得途径", align=2, sort=11)
	public String getPathway() {
		return pathway;
	}

	public void setPathway(String pathway) {
		this.pathway = pathway;
	}
	
	@ExcelField(title="审批单位", align=2, sort=12)
	public String getApprovalAuthority() {
		return approvalAuthority;
	}

	public void setApprovalAuthority(String approvalAuthority) {
		this.approvalAuthority = approvalAuthority;
	}
	
	@ExcelField(title="文件", align=2, sort=13)
	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	
}